Skip to main content
`Ctrl`+`K`

# TaoADMMSetRegularizerHessianRoutine

Sets the user-defined regularizer Hessian call-back function, to be used for subsolverZ.

## Synopsis

    #include "petsctao.h"
    PetscErrorCode TaoADMMSetRegularizerHessianRoutine(Tao tao, Mat H, Mat Hpre, PetscErrorCode (*func)(Tao, Vec, Mat, Mat, void *), void *ctx)

Collective

## Input Parameters

- tao - the `Tao` context

- H - user-created matrix for the Hessian of the regularization term

- Hpre - user-created matrix for the preconditioner of Hessian of the regularization term

- func - function pointer for the regularizer Hessian evaluation

- ctx - user context for the regularizer Hessian

## See Also

`TAOADMM`

## Level

advanced

## Location

src/tao/constrained/impls/admm/admm.c

## Examples

src/tao/constrained/tutorials/tomographyADMM.c

Index of all Tao routines
Table of Contents for all manual pages
Index of all manual pages